﻿@using Portal.Models;
@model Toyota.Common.Web.MVC.ModelHolder


@{     
    ViewBag.Title = "View New Message";
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<div id="confirm" style="width: 700px; height: 450px">
    <table border="0px" width="100%" >
         <tr>
            <td colspan="3" style="color:Red"><i>You have new message (1)</i></td>
         </tr>
         <tr>
            <td style="width:10%">From</td>
            <td style="width:2%">:</td>
            <td>
                @Html.DevExpress().Label(
                        settings =>
                        {
                            settings.Name = "From";
                            settings.Text = Model.GetModel<DataExchModel>().MessageFrom.ToString();
                        }
                        ).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="width:10%">To</td>
            <td style="width:2%">:</td>
            <td>
                @Html.DevExpress().Label(
                        settings =>
                        {
                            settings.Name = "To";
                            settings.Text = Model.GetModel<DataExchModel>().MessageTo.ToString();
                        }
                        ).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="width:10%">Title</td>
            <td style="width:2%">:</td>
            <td>
                @Html.DevExpress().Label(
                        settings =>
                        {
                            settings.Name = "Title";
                            settings.Text = Model.GetModel<DataExchModel>().MessageTitle.ToString();
                        }
                        ).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="width:10%">Body</td>
            <td style="width:2%">:</td>
            <td>
                @Html.DevExpress().Label(
                        settings =>
                        {
                            settings.Name = "Body";
                            settings.Text = Model.GetModel<DataExchModel>().MessageBody.ToString();
                        }
                        ).GetHtml()
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2"><u>Attachment *)</u></td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td style="width:10%">File Link</td>
            <td style="width:2%">:</td>
            <td>
                @Html.ActionLink(Model.GetModel<DataExchModel>().Filename.ToString(),
                                 "ViewDetail_NoQuery", 
                                 new { Title = Model.GetModel<DataExchModel>().MessageTitle.ToString(),
                                      Body = Model.GetModel<DataExchModel>().MessageBody.ToString(),
                                      Filename = Model.GetModel<DataExchModel>().Filename.ToString() }, 
                                 null)
            </td>
        </tr>
        <tr>
            <td colspan="3">&nbsp;</td>
        </tr>
        <tr>
            <td>*) note: </td>
            <td colspan="2">Attached files will be compressed and encrypted.</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td colspan="3">To extract files, use the password that will be sent</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td colspan="3">by another email.</td>
        </tr>
        <tr>
            <td colspan="3">&nbsp;</td>
        </tr>
        <tr>
            <td colspan="3">Thank You,</td>
        </tr>
        <tr>
            <td colspan="3"><b>TMMIN Information and Data Exchange System</b></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td align="right">
                    @Html.DevExpress().Button(settings =>
                    {
                        settings.Name = "Back";
                        settings.Text = "Back";
                        settings.Styles.Style.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        settings.Styles.Style.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                        settings.RouteValues = new { Controller = "DataExch", Action = "Cancel" };
                    }).GetHtml() 
            </td>
         </tr>
    </table>  
</div>